<template>
  <div id="app">
    <router-view v-if='isRouterAlive'/>
  </div>
</template>

<script>
export default {
  name: 'App',
  provide(){
    return{
      reload:this.reload
    }
  },
  data(){
    return{
      isRouterAlive:true
    }
  },
  methods:{
    reload(){
      this.isRouterAlive=false;
      this.$nextTick(function () {
        this.isRouterAlive=true;
      })
    },
  }
}
</script>
<style>
  .el-step__head.is-process>.is-text{
    color: #ffffff;
    background: #409EFF;
    border-color: #409EFF;
  }
  .el-step__title.is-process{
    color: #409EFF;
  }
</style>
